Subject: Re: Fwd: linklocal + DHCP servers

From: Daniel Senie <[email-masked]>
Date: Tue, 23 May 2000 12:52:41 -0400

Bill Manning wrote:
> 
> % > So are you saying that we should just treat 169.254/16 as
> % > another private prefix and forget about it being linklocal?
> % > Or that additional precautions need to be taken, like
> % > sourcing packets from TTL=1?
> %
> % It's worse than that... you'd also have to reject any DHCP relay
> % packets. The TTL on DHCP relay packets is not necessarily predictable.
> % All relay packets would be an indicator that the DHCP server has no
> % direct attachment to the LAN segment in question.
> %
> % There's also the issue of the DHCP server having to use the link info
> % along with the IP address for keeping its records. After all, the same
> % DHCP server might be serving multiple directly-attached LANs. So for
> % example, 169.254.45.109 might exist on three different LANs, but refer
> % to three different stations. If those were self-assigned, not assigned
> % by the DHCP server, the server must nonetheless track them.
> %
> % This whole area quickly becomes a significant can of worms, adding
> % complexity to an existing, deployed protocol, with questionable and
> % limited advantages.
> %
> % --
> % -----------------------------------------------------------------
> % Daniel Senie                                        [email-masked]
> % Amaranth Networks Inc.                    http://www.amaranth.com
> 
> Well, if the TTL>1 then there is a breakdown in operations.
> 169.254.0.0 is -link-local- i.e. should -NEVER- be forwarded off
> the local wire.  Not Routed. Not bridged. I guess a repeater might be ok,
> but I'd be looking closely. :)  NO RELAY.

Bill,

I think Bernard was talking about the DHCP packets, and I know I was.
They won't have 169.254/16 addresses at least during the intial
exchanges (will instead be 0.0.0.0). DHCP packets can certainly be
relayed.

-- 
-----------------------------------------------------------------
Daniel Senie                                        [email-masked]
Amaranth Networks Inc.                    http://www.amaranth.com